Page Summary
-
This document outlines how to create a new channel using a POST request to the specified URL, returning the newly created channel upon success.
-
Creating a channel requires an
advertiserIdin the path parameters to identify the owning advertiser. -
Optionally, a
partnerIdcan be included as a query parameter to specify the owning partner. -
The request body must contain an instance of a
Channelobject. -
A successful response body will contain a newly created
Channelinstance. -
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Creates a new channel. Returns the newly created channel if successful.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/channels
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
The ID of the advertiser that owns the created channel. |
Query parameters
| Parameters | |
|---|---|
partnerId |
The ID of the partner that owns the created channel. |
Request body
The request body contains an instance of Channel.
Response body
If successful, the response body contains a newly created instance of Channel.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.